## InfInit InfInit |

## Synopsis

    gboolean            inf_init                            (GError **error);
    void                inf_deinit                          (void);

## Description

## Details

### inf_init ()

    gboolean            inf_init                            (GError **error);

This function initializes the libinfinity library and should be called before any other functions of the library. The function does nothing if it has already been called before.

`error` : | Location to store error information, if any.
Returns : | Whether the initialization was successful or not.

### inf_deinit ()

    void                inf_deinit                          (void);

This functions deinitializes the libinfinity library. Make sure that all objects the library provides have been freed before calling this function. If `inf_init()` has been called multiple times, then `inf_deinit()` needs to be called the same number of times to actually deinitialize the library.